Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
license-summaries
CreateLicenseSummary
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/license-summaries \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "copyright_count": 123,
    "declared_spdx_ids": [
      "<string>"
    ],
    "notices_count": 123,
    "singular_spdx_ids": [
      "<string>"
    ],
    "spdx_ids": [
      "<string>"
    ]
  },
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "copyright_count": 123,
    "declared_spdx_ids": [
      "<string>"
    ],
    "notices_count": 123,
    "singular_spdx_ids": [
      "<string>"
    ],
    "spdx_ids": [
      "<string>"
    ]
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json
meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
The tenant metadata of the license summary. · object

The tenant metadata of the license summary.

Response

A successful response.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the license summary.